<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Група</title>
    <script src="https://kit.fontawesome.com/813a87d02a.js" crossorigin="anonymous"></script>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css"
        integrity="sha512-NhSC1YmyruXifcj/KFRWoC561YpHpc5Jtzgvbuzx5VozKpWvQ+4nXhPdFgmx8xqexRcpAglTj9sIBWINXa8x5w=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css"
        integrity="sha512-+EoPw+Fiwh6eSeRK7zwIKG2MA8i3rV/DGa3tdttQGgWyatG/SkncT53KHQaS5Jh9MNOT3dmFL0FjTY08And/Cw=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="../static/styles/style.css">
    <link rel="stylesheet" href="/styles/style.css">

<body>
    <header>
        <div class="header">
            <img src="/images/logo.png" alt="logo">
            <nav>
                <ul class="nav">
                    <li class="nav_item">
                        <a th:href="@{/}" class="nav_link">Головна</a>
                    </li>
                    <li class="nav_item">
                        <a th:href="@{/}" class="nav_link">Групи</a>
                    </li>
                    <li class="nav_item">
                        <a th:href="@{/specialities}" class="nav_link">Освітні програми</a>
                    </li>
                </ul>
            </nav>
            <a th:if="${user == null}" th:href="@{/login}" class="button_sign">Вхід</a>
            <form th:if="${user != null}" th:action="@{/logout}" method="post"><input type="submit" class="button_exit" value="Вихід"></form>
        </div>
    </header>
    <section>
        <div class="results">
            <div th:if="${user == null}" class="line">
                <h1 th:text="${group.name}">Група</h1>
            </div>
            <div th:if="${user != null}" class="line">
                <form th:action="@{/group/{idG}(idG=${group.id})}" th:method="put">
                    <input style="border: 0; background: none; outline: none; width: 150px;" class="hh1" type="text" name="name" th:value="${group.name}" required>
                    <button class="btn"><i type="submit" class="fa-solid fa-pencil fa-lg"></i></button>
                </form>
                <a href="#"  class="edit open-popup">Перевести</a>
            </div>
            <! --------------------POP UP---------------->
            <div class="bottom-block"></div>

            <div th:if="${user != null}" class="popup-bg">
                <div class="popup">
                    <img class="close-popup" src="/images/close.png" alt="">
                    <form th:action="@{/group/{idG}/student/move(idG=${group.id})}" th:method="put">
                        <select name="idS" class="form-control" required>
                            <option value="">Оберіть студента:</option>
                            <option th:each="student : ${group.students}" th:value="${student.id}" th:text="${student.surname} + ' ' + ${student.name} + ' ' + ${student.patronymic}">Name</option>
                        </select>
                        <select name="idG" class="form-control" required>
                            <option value="">Оберіть групу:</option>
                            <option th:each="gr : ${groups}" th:value="${gr.id}" th:text="${gr.name}">Group</option>
                        </select>
                        <input value="Перевести" type="submit">
                    </form>
                </div>
            </div>
            <! --------------------POP UP---------------->
            <div class="results_box">
                <table>
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>ПІБ</th>
                            <th>Конкурсний бал</th>
                            <th>Форма</th>
                            <th>Освітня програма</th>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr th:if="${user == null}" th:each="student : ${group.students}">
                            <td th:text="${studentStat.count}">1</td>
                            <td th:text="${student.surname} + ' ' + ${student.name} + ' ' + ${student.patronymic}">Єфименко Наталія Андріїївна</td>
                            <td th:text="${student.avgMark}">МС</td>
                            <td th:text="${student.payment.name.charAt(0)}">Бюджет</td>
                            <td th:text="${group.speciality.program}">4:00.78</td>
                        </tr>
                        <tr th:if="${user != null}" th:each="student : ${group.students}">
                            <form th:action="@{/group/{idG}/student/{idS}(idG=${group.id}, idS=${student.id})}" th:method="put">
                                <td th:text="${studentStat.count}">1</td>

                                <td><input style="border: 0; background: none; outline: none; width: 300px;" type="text" name="name" th:value="${student.surname} + ' ' + ${student.name} + ' ' + ${student.patronymic}" maxlength="300" required></td>
                                <td><input style="border: 0; background: none; outline: none; width: 100px;" type="text" name="avgMark" th:value="${student.avgMark}" required></td>
                                <td><input style="border: 0; background: none; outline: none; width: 25px;" type="text" name="pay" th:value="${student.payment.name.charAt(0)}" maxlength="1" required></td>
                                <td th:text="${group.speciality.program}">4:00.78</td>

                                <td><input type="submit" value="Редагувати" class = "buttons"></td>
                            </form>

                            <td>
                                <form th:action="@{/group/{idG}/student/{idS}(idG=${group.id}, idS=${student.id})}" th:method="delete">
                                    <input type="submit" value="Видалити" class = "buttons2">
                                </form>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    <footer>
        <div class="tail">
                 <p>©2022 Пацюки</p>
        </div>
    </footer>

    <script src="../static/js/jquery.min.js"></script>
    <script src="/js/jquery.min.js"></script>
    <script src="../static/js/main.js"></script>
    <script src="/js/main.js"></script>
</body>

</html>